PASSWD(1)

NOM
passwd - Modifier le mot de passe d'un utilisateur

SYNOPSIS

passwd [options] [LOGIN]

DESCRIPTION

Passwd modifie les mots de passe des comptes d'utilisateurs. Un utilisateur normal ne peut changer que son propre mot de passe, le superutilisateur peut changer le mot de passe associé à n'importe quel compte. Passwd modifie également les informations associées au compte, telles que le nom complet de l'utilisateur, son interpréteur de commandes de connexion (« login shell »), la date de fin de validité du mot de passe, ou sa durée de validité.

  Modifications du mot de passe

Dans un premier temps, l'utilisateur doit fournir son ancien mot de passe, s'il en avait un. Ce mot de passe est ensuite chiffré puis comparé avec le mot de passe enregistré. L'utilisateur n'a droit qu'à un seul essai pour entrer le mot de passe correct. Le superutilisateur peut contourner cette première étape de manière à changer les mots de passe ayant été oubliés.

Une fois que le mot de passe a été entré, les informations de limite de validité du mot de passe sont vérifiées pour s'assurer que l'utilisateur est autorisé à modifier son mot de passe à cet instant. Dans le cas contraire, passwd refuse de changer le mot de passe, et quitte.

Le nouveau mot de passe sera demandé deux fois à l'utilisateur. Le second mot de passe est comparé avec le premier. Ces deux mots de passe devront être identiques pour que le mot de passe soit changé.

La complexité de ce mot de passe est alors testée. Comme ligne de conduite générale, un mot de passe doit toujours être constitué de 6 à 8 caractères en en choisissant un ou plus parmi chacun des ensembles suivants :

•   caractères alphabétiques minuscules

•   chiffres de 0 à 9

•   marques de ponctuation

Il faudra faire attention à ne pas utiliser les caractères de suppression ou d'effacement. Passwd rejettera tout mot de passe dont la complexité ne sera pas suffisante.

  Astuces pour les mots de passe

La sécurité d'un mot de passe repose sur la force de l'algorithme de chiffrement et sur la taille de l'espace de clés utilisé. La méthode de chiffrement des systèmes UNIX est basée sur l'algorithme NBS DES, elle est très sûre. La taille de l'espace de clés dépend de l'aléa du mot de passe utilisé.

Les compromissions de la sécurité des mots de passe résultent le plus souvent d'une négligence dans le choix du mot de passe, ou lors de son utilisation. Pour cette raison, vous ne devez pas sélectionner de mot de passe apparaissant dans un dictionnaire ou devant être écrit. Le mot de passe ne doit pas non plus être un nom propre, un numéro minéralogique, une date de naissance, ou une adresse. En effet ceux-ci pourraient être devinés pour violer la sécurité du système.

Vous devez pouvoir vous souvenir facilement de votre mot de passe, afin de ne pas avoir à le noter sur un morceau de papier. Pour ce faire, on peut choisir d'accoler deux mots en les séparant avec un caractère spécial ou un chiffre. Par exemple, Mot2passe.

D'autres méthodes de construction utilisent une phrase facile à se rappeler, et consistent à sélectionner la première ou la dernière lettre de chaque mot. Voici un exemple [ NdT : en anglais ] :

•   Ask not for whom the bell tolls.

•   Ce qui donne :

•   An4wtbt.

Vous pouvez raisonnablement être assuré que quelques crackers ont désormais inclus ces mots de passe dans leurs dictionnaires. Vous pouvez également utiliser votre propre méthode de construction de mots de passe et ne pas compter exclusivement sur les méthodes proposées ici.

OPTIONS

Les options disponibles pour la commande passwd sont :

-a, --all
    Cette option ne peut être utilisée qu'avec -S et permet d'afficher l'état des mots de passe pour tous les utilisateurs.

-d, --delete
    Supprime le mot de passe (le rend vide) d'un utilisateur. C'est une façon rapide de supprimer l'authentification par mot de passe pour un compte. Il rend compte indiqué sans mot de passe.

-e, --expire
    Annule immédiatement la validité du mot de passe d'un compte. Ceci permet d'obliger un utilisateur à changer son mot de passe lors de sa prochaine connexion.

-h, --help
    Afficher un message d'aide et quitter.

-i, --inactive DURÉE_INACTIVITÉ
    Cette option permet de désactiver un compte un certain nombre de jours après que son mot de passe soit arrivé en fin de validité. Après qu'un mot de passe soit arrivé en fin de validité depuis plus de DURÉE_INACTIVITÉ jours, l'utilisateur ne pourra plus se connecter avec ce compte.

-k, --keep-tokens
    Indique que seuls les mots de passe arrivés en fin de validité doivent être modifié. C'est utile quand l'utilisateur ne veut pas modifier un mot de passe qui serait toujours valable.

-l, --lock
    Verrouille le compte indiqué. Cette option désactive un compte en modifiant son mot de passe pour une valeur qui ne peut pas correspondre à un mot de passe chiffré possible.

-m, --mindays JOURS_MIN
    Définit le nombre minimum de jours entre chaque changement de mot de passe à MIN_DAYS. Une valeur de zéro pour ce champ indique que l'utilisateur peut changer son mot de passe quand il le souhaite.

-q, --quiet
    Mode silencieux.

-r, --repository REPOSITORY
    Change le mot de passe de la base REPOSITORY

-S, --status
    Afficher l'état d'un compte. Cet état est constitué de 7 champs. Le premier champ est le nom du compte. Le second champ indique si le compte est bloqué (L), n'a pas de mot de passe (NP) ou a un mot de passe utilisable (P). Le troisième champ donne la date de dernière modification du mot de passe. Les quatre champs suivants sont : la durée minimum avant modification, la durée maximum de validité, la durée d'avertissement, et la durée d'inactivité autorisée pour le mot de passe. Les durées sont exprimées en jours.

-u, --unlock
    Déverrouille le compte indiqué. Cette option réactive un compte en changeant un mot de passe à sa valeur précédente (la valeur présente avant l'utilisation de l'option -l).

-w, --warndays DURÉE_AVERTISSEMENT
    Fixe le nombre de jours d'avertissement avant que le changement de mot de passe ne soit obligatoire. La valeur DURÉE_AVERTISSEMENT est le nombre de jours précédant la fin de validité pendant lesquels un utilisateur sera prévenu que son mot de passe est sur le point d'arriver en fin de validité.

-x, --maxdays JOURS_MAX
    Fixe le nombre maximum de jours pendant lesquels un mot de passe reste valable. Après JOURS_MAX, le mot de passe devra être modifié.

AVERTISSEMENTS

Toutes les options ne sont pas forcément gérées. La vérification de la complexité des mots de passe peut varier d'un site à l'autre. Il est vivement conseillé aux utilisateurs de choisir un mot de passe aussi complexe que possible dans la limite de ce qu'il est capable de mémoriser. Il se peut que les utilisateurs ne puisse pas changer leur mot de passe sur un système si NIS est activé et qu'ils ne sont pas connectés au serveur NIS.

FICHIERS

/etc/passwd
    Informations sur les comptes des utilisateurs.

/etc/shadow
    Informations sécurisées sur les comptes utilisateurs.

VALEURS DE RETOUR

La commande passwd retourne les valeurs suivantes en quittant :

0   succès

1   permission refusée

2   combinaison d'options non valable

3   échec inattendu, rien n'a été fait

4   échec inattendu, le fichier passwd est manquant

5   fichier passwdw/filename> en cours d'utilisation, veuillez réessayer plus tard 6 param

VOIR AUSSI

group(5), passwd(5), shadow(5).